Update Notification Preferences
curl --request PUT \
--url https://api.example.com/api/v1/notifications/preferences \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"whatsapp_enabled": true,
"email_enabled": true,
"push_enabled": true,
"sms_enabled": true,
"messaging_channel": "<string>",
"quiet_hours_start": "<string>",
"quiet_hours_end": "<string>",
"quiet_hours_tz": "<string>"
}
'import requests
url = "https://api.example.com/api/v1/notifications/preferences"
payload = {
"whatsapp_enabled": True,
"email_enabled": True,
"push_enabled": True,
"sms_enabled": True,
"messaging_channel": "<string>",
"quiet_hours_start": "<string>",
"quiet_hours_end": "<string>",
"quiet_hours_tz": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
whatsapp_enabled: true,
email_enabled: true,
push_enabled: true,
sms_enabled: true,
messaging_channel: '<string>',
quiet_hours_start: '<string>',
quiet_hours_end: '<string>',
quiet_hours_tz: '<string>'
})
};
fetch('https://api.example.com/api/v1/notifications/preferences', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}WhatsApp
Update Notification Preferences
Update user notification preferences.
PUT
/
api
/
v1
/
notifications
/
preferences
Update Notification Preferences
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
Successful Response
Was this page helpful?
⌘I